/*******************************************************************************
 * FoxWeaponAttachment_GrenadeBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeaponAttachment_GrenadeBase extends FoxWeaponAttachment
    config(Weapon)
    notplaceable
    hidecategories(Navigation);

simulated function SetupWeaponCamoMIC()
{
    super.SetupWeaponCamoMIC();
    ActivateEmissive();
    //return;    
}

simulated function float StartMeleeAnim(optional float PrecentOfAnimLength)
{
    PrecentOfAnimLength = 1.0;
    //return ReturnValue;    
}

defaultproperties
{
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_GrenadeBase.AttachmentMesh'
    Mesh=AttachmentMesh
    AimOffsetProfileName=Grenade
    FemaleAimOffsetProfileName=Frag_Female
    WeaponType=EWeaponType.WT_Grenade
    MuzzleSocketName=None
    MuzzleFlashLight=PointLightComponent'Default__FoxWeaponAttachment_GrenadeBase.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.061433760
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeaponAttachment_GrenadeBase.LensComp'
    MuzzleLensFlare=LensComp
    AN_NormalFire=(TP_Anim=(AnimName=(None,None,Quickthrow)),FP_Anim=Quickthrow,WP_Anim=None)
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_GrenadeBase.AttachmentMesh'
    Components(0)=AttachmentMesh
}